%define fontname khmeros
#%%define fontconf <XX>-%{fontname}

%define archivename All_KhmerOS_%{version}

%define common_desc \
The Khmer OS fonts include Khmer and Latin alphabets, and they have equivalent \
sizes for Khmer and English alphabets, so that when texts mix both it is not \
necessary to have different point sizes for the text in each language. \
\
They were created by Danh Hong of the Cambodian Open Institute.


Name:           %{fontname}-fonts
Version:        5.0
Release:        7%{?dist}
Summary:        Khmer font set created by Danh Hong of the Cambodian Open Institute

Group:          User Interface/X
License:        LGPLv2+
URL:            http://www.khmeros.info/drupal/?q=en/download/fonts
Source0:        http://downloads.sourceforge.net/khmer/%{archivename}.zip
#Source1:        %{name}-fontconfig.conf
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch
BuildRequires:  fontpackages-devel

%description
%common_desc


%package common
Summary:        Common files of %{name}
Group:          User Interface/X
Requires:       fontpackages-filesystem

%description common
%common_desc

This package consists of files used by other %{name} packages.


%package -n %{fontname}-base-fonts
Summary:        Base KhmerOS font
Group:          User Interface/X
Requires:       %{name}-common = %{version}-%{release}
Obsoletes:      khmeros-fonts-base < 5.0-4

%description -n %{fontname}-base-fonts
%common_desc

Base KhmerOS fonts.

%_font_pkg -n base KhmerOS.ttf KhmerOS_content.ttf KhmerOS_sys.ttf

%package -n %{fontname}-battambang-fonts
Summary:        Battambang font
Group:          User Interface/X
Requires:       %{name}-common = %{version}-%{release}
Obsoletes:      khmeros-fonts-battambang < 5.0-4

%description -n %{fontname}-battambang-fonts
%common_desc

Battambang font.

%_font_pkg -n battambang KhmerOS_battambang.ttf

%package -n %{fontname}-bokor-fonts
Summary:        Bokor font
Group:          User Interface/X
Requires:       %{name}-common = %{version}-%{release}
Obsoletes:      khmeros-fonts-bokor < 5.0-4

%description -n %{fontname}-bokor-fonts
%common_desc

Bokor font.

%_font_pkg -n bokor KhmerOS_bokor.ttf

%package -n %{fontname}-handwritten-fonts
Summary:        Freehand and fasthand fonts
Group:          User Interface/X
Requires:       %{name}-common = %{version}-%{release}
Obsoletes:      khmeros-fonts-handwritten < 5.0-4

%description -n %{fontname}-handwritten-fonts
%common_desc

Freehand and fasthand - handwritten fonts.

%_font_pkg -n handwritten KhmerOS_freehand.ttf KhmerOS_fasthand.ttf

%package -n %{fontname}-metal-chrieng-fonts
Summary:        Metal Chrieng font
Group:          User Interface/X
Requires:       %{name}-common = %{version}-%{release}
Obsoletes:      khmeros-fonts-metalchrieng < 5.0-4

%description -n %{fontname}-metal-chrieng-fonts
%common_desc

Metal Chrieng font.

%_font_pkg -n metal-chrieng KhmerOS_metalchrieng.ttf

%package -n %{fontname}-muol-fonts
Summary:        Muol fonts - normal, light and Pali
Group:          User Interface/X
Requires:       %{name}-common = %{version}-%{release}
Obsoletes:      khmeros-fonts-muol < 5.0-4

%description -n %{fontname}-muol-fonts
%common_desc

Muol fonts - normal, light and Pali.

%_font_pkg -n muol KhmerOS_muol.ttf KhmerOS_muollight.ttf KhmerOS_muolpali.ttf

%package -n %{fontname}-siemreap-fonts
Summary:        Siemreap font
Group:          User Interface/X
Requires:       %{name}-common = %{version}-%{release}
Obsoletes:      khmeros-fonts-siemreap < 5.0-4

%description -n %{fontname}-siemreap-fonts
%common_desc

Siemreap font.

%_font_pkg -n siemreap KhmerOS_siemreap.ttf


%prep
%setup -q -n %{archivename}


%build


%install
rm -rf %{buildroot}

# get rid of the white space (' ')
mv 'KhmerOS .ttf' KhmerOS.ttf

install -m 0755 -d %{buildroot}%{_fontdir}
install -m 0644 -p *.ttf %{buildroot}%{_fontdir}

#install -m 0755 -d %{buildroot}%{_fontconfig_templatedir} \
#                   %{buildroot}%{_fontconfig_confdir}

# Repeat for every font family
#install -m 0644 -p %{SOURCEX} \
#        %{buildroot}%{_fontconfig_templatedir}/%{fontconf}-<FAMILYX>.conf

#for fconf in %{fontconf}-<FAMILYX>.conf \
#             %{fontconf}-<FAMILYY>.conf \
#             %{fontconf}-<FAMILYZ>.conf ; do
#  ln -s %{_fontconfig_templatedir}/$fconf \
#        %{buildroot}%{_fontconfig_confdir}/$fconf
#done


%clean
rm -rf %{buildroot}


%files common
%defattr(0644,root,root,0755)
%dir %{_fontdir}


%changelog
* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 5.0-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 5.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sun Jan 25 2009 Michal Nowak <mnowak@redhat.com> - 5.0-5
- provide Obsoletes and dependency on -common pkg

* Fri Jan 23 2009 Michal Nowak <mnowak@redhat.com> - 5.0-4
- changes to comply with F11 font rules

* Tue Jul 8 2008 Michal Nowak <mnowak@redhat.com> - 5.0-3
- reshaping to multiple subpackages based on font type/purpose
- license uncertainity is solved; licence field is set according
  to information from .ttf files read via gnome-font-viewer

* Mon Jul 7 2008 Michal Nowak <mnowak@redhat.com> - 5.0-2
- removing Fedora specific license
- refactoring summary and description texts (Nicolas Mailhot)

* Fri Jul 4 2008 Michal Nowak <mnowak@redhat.com> - 5.0-1
- initial release

